×

Discussion Board

Results 1 to 2 of 2
  1. #1
    Registered User
    Join Date
    Apr 2011
    Posts
    2

    Post [moved] Qt 4.7.2 AND Qt WebKit 4.7.2 on Nokia 5800

    Hi,
    I was wondering if there was been a official release Qt 4.7.2 AND Qt WebKit 4.7.2 on S60v5 platform(Nokia 5800). I am deploying a app which has been mainly building on Symbian 3 on Nokia C7 but I was thinking of making it compatible with S60v5 phones as well.

    So, first need to find a official way get users to install Qt 4.7.2 AND Qt WebKit 4.7.2. Any official instructions on this?

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: [moved] Qt 4.7.2 AND Qt WebKit 4.7.2 on Nokia 5800

    Quote Originally Posted by Gaurish View Post
    Hi,
    I was wondering if there was been a official release Qt 4.7.2 AND Qt WebKit 4.7.2 on S60v5 platform(Nokia 5800). I am deploying a app which has been mainly building on Symbian 3 on Nokia C7 but I was thinking of making it compatible with S60v5 phones as well.
    The official Qt 4.7.x release will be shipped with the Qt SDK 1.1 final. As of now this SDK is in release candidate stage and it should not be used for production code, or at least the generated code should not be distributed.

    Ovi Store does not accept applications developed with Qt 4.7.2 for distribution and the Smart Installer does not have this version of Qt on its servers either.

    When the final SDK is released, all the S60 5th Edition (aka Symbian^1) and Symbian^3 devices currently supported by Ovi will have support for Qt 4.7.x as well. See a list of devices supported by Ovi under the Distribute tab in this site's main menu.

    As for Qt 4.7.2, there is already an Qt SDK 1.1 RC out which has Qt 4.7.3, a release which fixes several critical bugs identified in Qt 4.7.2. It is therefore strange that you are even considering to release an application build on that release, from a beta SDK.

    Quote Originally Posted by Gaurish View Post
    So, first need to find a official way get users to install Qt 4.7.2 AND Qt WebKit 4.7.2. Any official instructions on this?
    You will not find such distribution for a simple reason: you are not supposed to send our user to chase version of Qt suitable for their devices and install them. For you to deploy a Qt 4.7.x application you have two options, of which only one is supported by Ovi and recommended by Nokia.

    Option 1 (recommended): Package your application with the Smart Installer and let it take care of delivering the correct version of Qt where and when is needed.

    Option 2 (not recommended): You could still distribute applications from your own web site or through other distribution channels without using the Smart Installer if you so wish. But in this case you must embed Qt and all its dependencies (like OpenC 1.7.5) inside your application's SIS file. See details about this in Symbian's documentation regarding the PKG file format. When doing so you must ensure that correct and thorough scripting is devised in order to be able to check at install time if installing Qt is required and to prevent accidental downgrading of the Qt version, which could make other installed applications stop working.
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

Similar Threads

  1. Replies: 1
    Last Post: 2011-03-06, 21:28
  2. Replies: 2
    Last Post: 2011-01-17, 14:00
  3. Qt Mobility and Webkit
    By Miksa__ in forum [Archived] Qt Mobility Project
    Replies: 1
    Last Post: 2010-05-10, 12:10

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×